Bug 76882 - (SCSI) Use EDID to make the boot scsi controller the first one
(SCSI) Use EDID to make the boot scsi controller the first one
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-28 13:07 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-28 13:07:00 EST
Description of Problem: On a Dell PowerEdge server with an onboard Adaptec SCSI
adapter and a Symbios add-on SCSI adapter, the Symbios is identified as the
primary and the Adaptec as the secondary, both during installation and
afterward. This causes a disk on the external bus, from which the system cannot
be made to boot, to be assigned as /dev/sda, and the boot loader is installed
there.

Version-Release number of selected component (if applicable):


How Reproducible: On this system, 100%. However I realise that this is highly
dependent on hardware configuration.


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Alan Cox 2003-06-08 15:28:17 EDT
This is dependant on the order the modules are loaded. The boot volume
identification can be done by EDID and that facility is in various development
kernels.

Turning this into an RFE
Comment 2 Bugzilla owner 2004-09-30 11:40:08 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.